Subject: Re: bug#41742: 28.0.50; Derive gnus-edit-form-mode from lisp-data-mode

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sat, 06 Jun 2020 21:06:10 +0100

Eric Abrahamsen <[email-masked]> writes:

> Hopefully this is fairly uncontroversial: Gnus has a gnus-edit-form-mode
> for editing group parameters and other things, which presents the data
> as elisp forms and is a perfect use-case for lisp-data-mode -- turning
> on paredit or what have you. This patch derives the former from the
> latter.

LGTM, FWIW.

While there, would you mind cleaning up how gnus-edit-form-mode-map is
defined?  It currently does a defvar+unless+setq dance, whereas it
should ideally only be a defvar+let, as per the last few paragraphs of
(info "(elisp) Tips for Defining").

Thanks,

-- 
Basil